Bric::App::MediaFunc - Location for functions that query uploaded media files. $LastChangedRevision$ $LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $ TBD. TBD.

Constructors
Creates a new object to run the given methods against Throws: NONE Side Effects: NONE Notes: NONE

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY. Throws: NONE Side Effects: NONE Notes: NONE

Public Class Methods
NONE

Public Functions
Returns the height of the image. Throws: NONE. Side Effects: NONE. Throws: NONE. Returns the width of the image. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns the color type of the image. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns the resolution of the image. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns the samples per pixel in the image. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns the bits per sample in the image. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns the image comment. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns the image interlace. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns the image compression. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns the image gama. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns the last modification time of the image. Throws: NONE. Side Effects: NONE. Notes: NONE.

Private Class Methods
NONE.

Private Instance Methods
NONE.

Private Functions
Returns the image info object. Throws: NONE Side Effects: NONE Notes: NONE NONE. David Wheeler <david@justatheory.com> Bric